ithread.h File Reference
`#include <sys/param.h>`
`#include "UpnpGlobal.h"`
`#include "UpnpUniStd.h"`
`#include <pthread.h>`
Include dependency graph for ithread.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | ITHREAD_MUTEX_FAST_NP PTHREAD_MUTEX_FAST_NP
#define | ITHREAD_MUTEX_RECURSIVE_NP PTHREAD_MUTEX_RECURSIVE_NP
#define | ITHREAD_MUTEX_ERRORCHECK_NP PTHREAD_MUTEX_ERRORCHECK_NP
#define | ITHREAD_PROCESS_PRIVATE PTHREAD_PROCESS_PRIVATE
#define | ITHREAD_PROCESS_SHARED PTHREAD_PROCESS_SHARED
#define | ITHREAD_CANCELED PTHREAD_CANCELED
#define | ITHREAD_STACK_MIN PTHREAD_STACK_MIN
#define | ITHREAD_CREATE_DETACHED PTHREAD_CREATE_DETACHED
#define | ITHREAD_CREATE_JOINABLE PTHREAD_CREATE_JOINABLE
#define | ithread_mutexattr_init pthread_mutexattr_init
#define | ithread_mutexattr_destroy pthread_mutexattr_destroy
#define | ithread_mutexattr_setkind_np pthread_mutexattr_setkind_np
#define | ithread_mutexattr_getkind_np pthread_mutexattr_getkind_np
#define | ithread_mutex_init pthread_mutex_init
#define | ithread_mutex_lock pthread_mutex_lock
#define | ithread_mutex_unlock pthread_mutex_unlock
#define | ithread_mutex_destroy pthread_mutex_destroy
#define | ithread_rwlock_init ithread_mutex_init
#define | ithread_rwlock_rdlock ithread_mutex_lock
#define | ithread_rwlock_wrlock ithread_mutex_lock
#define | ithread_rwlock_unlock ithread_mutex_unlock
#define | ithread_rwlock_destroy ithread_mutex_destroy
#define | ithread_cond_init pthread_cond_init
#define | ithread_cond_signal pthread_cond_signal
#define | ithread_cond_broadcast pthread_cond_broadcast
#define | ithread_cond_wait pthread_cond_wait
#define | ithread_cond_timedwait pthread_cond_timedwait
#define | ithread_cond_destroy pthread_cond_destroy
#define | ithread_attr_init pthread_attr_init
#define | ithread_attr_destroy pthread_attr_destroy
#define | ithread_attr_setstacksize pthread_attr_setstacksize
#define | ithread_attr_setdetachstate pthread_attr_setdetachstate
#define | ithread_create pthread_create
#define | ithread_cancel pthread_cancel
#define | ithread_exit pthread_exit
#define | ithread_get_current_thread_id pthread_self
#define | ithread_self pthread_self
#define | ithread_detach pthread_detach
#define | ithread_join pthread_join
#define | isleep sleep
#define | imillisleep(x) usleep(1000*x)

## Typedefs

typedef pthread_t | ithread_t
typedef pthread_attr_t | ithread_attr_t
typedef void(* | start_routine) (void *arg)
typedef pthread_cond_t | ithread_cond_t
typedef pthread_mutexattr_t | ithread_mutexattr_t
typedef pthread_mutex_t | ithread_mutex_t
typedef pthread_condattr_t | ithread_condattr_t
typedef ithread_mutex_t | ithread_rwlock_t

## Functions

static int | ithread_initialize_library (void)
static int | ithread_cleanup_library (void)
static int | ithread_initialize_thread (void)
static int | ithread_cleanup_thread (void)
int | pthread_mutexattr_setkind_np (pthread_mutexattr_t *attr, int kind)